// !$*UTF8*$!
{
	archiveVersion = 1;
	classes = {
	};
	objectVersion = 51;
	objects = {

/* Begin PBXBuildFile section */
		774BBCA3DEED8EA2181539C6 /* Pods_WeatherLibrary.framework in Frameworks */ = {isa = PBXBuildFile; fileRef = 4ADC4F7F94200CF9777095F2 /* Pods_WeatherLibrary.framework */; };
		C319B687234B2F2300FB8468 /* AppDelegate.swift in Sources */ = {isa = PBXBuildFile; fileRef = C319B686234B2F2300FB8468 /* AppDelegate.swift */; };
		C319B689234B2F2300FB8468 /* SceneDelegate.swift in Sources */ = {isa = PBXBuildFile; fileRef = C319B688234B2F2300FB8468 /* SceneDelegate.swift */; };
		C319B68B234B2F2300FB8468 /* ViewController.swift in Sources */ = {isa = PBXBuildFile; fileRef = C319B68A234B2F2300FB8468 /* ViewController.swift */; };
		C319B68E234B2F2300FB8468 /* Main.storyboard in Resources */ = {isa = PBXBuildFile; fileRef = C319B68C234B2F2300FB8468 /* Main.storyboard */; };
		C319B690234B2F2400FB8468 /* Assets.xcassets in Resources */ = {isa = PBXBuildFile; fileRef = C319B68F234B2F2400FB8468 /* Assets.xcassets */; };
		C319B693234B2F2400FB8468 /* LaunchScreen.storyboard in Resources */ = {isa = PBXBuildFile; fileRef = C319B691234B2F2400FB8468 /* LaunchScreen.storyboard */; };
		C319B69B234B5F7A00FB8468 /* CitiesViewController.swift in Sources */ = {isa = PBXBuildFile; fileRef = C319B69A234B5F7A00FB8468 /* CitiesViewController.swift */; };
/* End PBXBuildFile section */

/* Begin PBXFileReference section */
		33160CDD40204D0E7A760132 /* Pods-WeatherLibrary.release.xcconfig */ = {isa = PBXFileReference; includeInIndex = 1; lastKnownFileType = text.xcconfig; name = "Pods-WeatherLibrary.release.xcconfig"; path = "Target Support Files/Pods-WeatherLibrary/Pods-WeatherLibrary.release.xcconfig"; sourceTree = "<group>"; };
		4ADC4F7F94200CF9777095F2 /* Pods_WeatherLibrary.framework */ = {isa = PBXFileReference; explicitFileType = wrapper.framework; includeInIndex = 0; path = Pods_WeatherLibrary.framework; sourceTree = BUILT_PRODUCTS_DIR; };
		70445E6A576CFBCCCB5CB1DC /* Pods-WeatherLibrary.debug.xcconfig */ = {isa = PBXFileReference; includeInIndex = 1; lastKnownFileType = text.xcconfig; name = "Pods-WeatherLibrary.debug.xcconfig"; path = "Target Support Files/Pods-WeatherLibrary/Pods-WeatherLibrary.debug.xcconfig"; sourceTree = "<group>"; };
		C319B683234B2F2300FB8468 /* WeatherLibrary.app */ = {isa = PBXFileReference; explicitFileType = wrapper.application; includeInIndex = 0; path = WeatherLibrary.app; sourceTree = BUILT_PRODUCTS_DIR; };
		C319B686234B2F2300FB8468 /* AppDelegate.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = AppDelegate.swift; sourceTree = "<group>"; };
		C319B688234B2F2300FB8468 /* SceneDelegate.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = SceneDelegate.swift; sourceTree = "<group>"; };
		C319B68A234B2F2300FB8468 /* ViewController.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = ViewController.swift; sourceTree = "<group>"; };
		C319B68D234B2F2300FB8468 /* Base */ = {isa = PBXFileReference; lastKnownFileType = file.storyboard; name = Base; path = Base.lproj/Main.storyboard; sourceTree = "<group>"; };
		C319B68F234B2F2400FB8468 /* Assets.xcassets */ = {isa = PBXFileReference; lastKnownFileType = folder.assetcatalog; path = Assets.xcassets; sourceTree = "<group>"; };
		C319B692234B2F2400FB8468 /* Base */ = {isa = PBXFileReference; lastKnownFileType = file.storyboard; name = Base; path = Base.lproj/LaunchScreen.storyboard; sourceTree = "<group>"; };
		C319B694234B2F2400FB8468 /* Info.plist */ = {isa = PBXFileReference; lastKnownFileType = text.plist.xml; path = Info.plist; sourceTree = "<group>"; };
		C319B69A234B5F7A00FB8468 /* CitiesViewController.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = CitiesViewController.swift; sourceTree = "<group>"; };
/* End PBXFileReference section */

/* Begin PBXFrameworksBuildPhase section */
		C319B680234B2F2300FB8468 /* Frameworks */ = {
			isa = PBXFrameworksBuildPhase;
			buildActionMask = 2147483647;
			files = (
				774BBCA3DEED8EA2181539C6 /* Pods_WeatherLibrary.framework in Frameworks */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXFrameworksBuildPhase section */

/* Begin PBXGroup section */
		4E343998EA83CE8D25F5502C /* Pods */ = {
			isa = PBXGroup;
			children = (
				70445E6A576CFBCCCB5CB1DC /* Pods-WeatherLibrary.debug.xcconfig */,
				33160CDD40204D0E7A760132 /* Pods-WeatherLibrary.release.xcconfig */,
			);
			path = Pods;
			sourceTree = "<group>";
		};
		9E5390B9DEDB2CC10CB175C6 /* Frameworks */ = {
			isa = PBXGroup;
			children = (
				4ADC4F7F94200CF9777095F2 /* Pods_WeatherLibrary.framework */,
			);
			name = Frameworks;
			sourceTree = "<group>";
		};
		C319B67A234B2F2300FB8468 = {
			isa = PBXGroup;
			children = (
				C319B685234B2F2300FB8468 /* WeatherLibrary */,
				C319B684234B2F2300FB8468 /* Products */,
				4E343998EA83CE8D25F5502C /* Pods */,
				9E5390B9DEDB2CC10CB175C6 /* Frameworks */,
			);
			sourceTree = "<group>";
		};
		C319B684234B2F2300FB8468 /* Products */ = {
			isa = PBXGroup;
			children = (
				C319B683234B2F2300FB8468 /* WeatherLibrary.app */,
			);
			name = Products;
			sourceTree = "<group>";
		};
		C319B685234B2F2300FB8468 /* WeatherLibrary */ = {
			isa = PBXGroup;
			children = (
				C319B686234B2F2300FB8468 /* AppDelegate.swift */,
				C319B688234B2F2300FB8468 /* SceneDelegate.swift */,
				C319B68A234B2F2300FB8468 /* ViewController.swift */,
				C319B69A234B5F7A00FB8468 /* CitiesViewController.swift */,
				C319B68C234B2F2300FB8468 /* Main.storyboard */,
				C319B68F234B2F2400FB8468 /* Assets.xcassets */,
				C319B691234B2F2400FB8468 /* LaunchScreen.storyboard */,
				C319B694234B2F2400FB8468 /* Info.plist */,
			);
			path = WeatherLibrary;
			sourceTree = "<group>";
		};
/* End PBXGroup section */

/* Begin PBXNativeTarget section */
		C319B682234B2F2300FB8468 /* WeatherLibrary */ = {
			isa = PBXNativeTarget;
			buildConfigurationList = C319B697234B2F2400FB8468 /* Build configuration list for PBXNativeTarget "WeatherLibrary" */;
			buildPhases = (
				138AF7989F4D0B1ED142FFAC /* [CP] Check Pods Manifest.lock */,
				C319B67F234B2F2300FB8468 /* Sources */,
				C319B680234B2F2300FB8468 /* Frameworks */,
				C319B681234B2F2300FB8468 /* Resources */,
				DD9BFA9AAB6BAC61AD9A9139 /* [CP] Embed Pods Frameworks */,
			);
			buildRules = (
			);
			dependencies = (
			);
			name = WeatherLibrary;
			productName = WeatherLibrary;
			productReference = C319B683234B2F2300FB8468 /* WeatherLibrary.app */;
			productType = "com.apple.product-type.application";
		};
/* End PBXNativeTarget section */

/* Begin PBXProject section */
		C319B67B234B2F2300FB8468 /* Project object */ = {
			isa = PBXProject;
			attributes = {
				LastSwiftUpdateCheck = 1100;
				LastUpgradeCheck = 1100;
				ORGANIZATIONNAME = "Sergey Klimovich";
				TargetAttributes = {
					C319B682234B2F2300FB8468 = {
						CreatedOnToolsVersion = 11.0;
					};
				};
			};
			buildConfigurationList = C319B67E234B2F2300FB8468 /* Build configuration list for PBXProject "WeatherLibrary" */;
			compatibilityVersion = "Xcode 9.3";
			developmentRegion = en;
			hasScannedForEncodings = 0;
			knownRegions = (
				en,
				Base,
			);
			mainGroup = C319B67A234B2F2300FB8468;
			productRefGroup = C319B684234B2F2300FB8468 /* Products */;
			projectDirPath = "";
			projectRoot = "";
			targets = (
				C319B682234B2F2300FB8468 /* WeatherLibrary */,
			);
		};
/* End PBXProject section */

/* Begin PBXResourcesBuildPhase section */
		C319B681234B2F2300FB8468 /* Resources */ = {
			isa = PBXResourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				C319B693234B2F2400FB8468 /* LaunchScreen.storyboard in Resources */,
				C319B690234B2F2400FB8468 /* Assets.xcassets in Resources */,
				C319B68E234B2F2300FB8468 /* Main.storyboard in Resources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXResourcesBuildPhase section */

/* Begin PBXShellScriptBuildPhase section */
		138AF7989F4D0B1ED142FFAC /* [CP] Check Pods Manifest.lock */ = {
			isa = PBXShellScriptBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			inputFileListPaths = (
			);
			inputPaths = (
				"${PODS_PODFILE_DIR_PATH}/Podfile.lock",
				"${PODS_ROOT}/Manifest.lock",
			);
			name = "[CP] Check Pods Manifest.lock";
			outputFileListPaths = (
			);
			outputPaths = (
				"$(DERIVED_FILE_DIR)/Pods-WeatherLibrary-checkManifestLockResult.txt",
			);
			runOnlyForDeploymentPostprocessing = 0;
			shellPath = /bin/sh;
			shellScript = "diff \"${PODS_PODFILE_DIR_PATH}/Podfile.lock\" \"${PODS_ROOT}/Manifest.lock\" > /dev/null\nif [ $? != 0 ] ; then\n    # print error to STDERR\n    echo \"error: The sandbox is not in sync with the Podfile.lock. Run 'pod install' or update your CocoaPods installation.\" >&2\n    exit 1\nfi\n# This output is used by Xcode 'outputs' to avoid re-running this script phase.\necho \"SUCCESS\" > \"${SCRIPT_OUTPUT_FILE_0}\"\n";
			showEnvVarsInLog = 0;
		};
		DD9BFA9AAB6BAC61AD9A9139 /* [CP] Embed Pods Frameworks */ = {
			isa = PBXShellScriptBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			inputFileListPaths = (
				"${PODS_ROOT}/Target Support Files/Pods-WeatherLibrary/Pods-WeatherLibrary-frameworks-${CONFIGURATION}-input-files.xcfilelist",
			);
			name = "[CP] Embed Pods Frameworks";
			outputFileListPaths = (
				"${PODS_ROOT}/Target Support Files/Pods-WeatherLibrary/Pods-WeatherLibrary-frameworks-${CONFIGURATION}-output-files.xcfilelist",
			);
			runOnlyForDeploymentPostprocessing = 0;
			shellPath = /bin/sh;
			shellScript = "\"${PODS_ROOT}/Target Support Files/Pods-WeatherLibrary/Pods-WeatherLibrary-frameworks.sh\"\n";
			showEnvVarsInLog = 0;
		};
/* End PBXShellScriptBuildPhase section */

/* Begin PBXSourcesBuildPhase section */
		C319B67F234B2F2300FB8468 /* Sources */ = {
			isa = PBXSourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				C319B68B234B2F2300FB8468 /* ViewController.swift in Sources */,
				C319B69B234B5F7A00FB8468 /* CitiesViewController.swift in Sources */,
				C319B687234B2F2300FB8468 /* AppDelegate.swift in Sources */,
				C319B689234B2F2300FB8468 /* SceneDelegate.swift in Sources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXSourcesBuildPhase section */

/* Begin PBXVariantGroup section */
		C319B68C234B2F2300FB8468 /* Main.storyboard */ = {
			isa = PBXVariantGroup;
			children = (
				C319B68D234B2F2300FB8468 /* Base */,
			);
			name = Main.storyboard;
			sourceTree = "<group>";
		};
		C319B691234B2F2400FB8468 /* LaunchScreen.storyboard */ = {
			isa = PBXVariantGroup;
			children = (
				C319B692234B2F2400FB8468 /* Base */,
			);
			name = LaunchScreen.storyboard;
			sourceTree = "<group>";
		};
/* End PBXVariantGroup section */

/* Begin XCBuildConfiguration section */
		C319B695234B2F2400FB8468 /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_SEARCH_USER_PATHS = NO;
				CLANG_ANALYZER_NONNULL = YES;
				CLANG_ANALYZER_NUMBER_OBJECT_CONVERSION = YES_AGGRESSIVE;
				CLANG_CXX_LANGUAGE_STANDARD = "gnu++14";
				CLANG_CXX_LIBRARY = "libc++";
				CLANG_ENABLE_MODULES = YES;
				CLANG_ENABLE_OBJC_ARC = YES;
				CLANG_ENABLE_OBJC_WEAK = YES;
				CLANG_WARN_BLOCK_CAPTURE_AUTORELEASING = YES;
				CLANG_WARN_BOOL_CONVERSION = YES;
				CLANG_WARN_COMMA = YES;
				CLANG_WARN_CONSTANT_CONVERSION = YES;
				CLANG_WARN_DEPRECATED_OBJC_IMPLEMENTATIONS = YES;
				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
				CLANG_WARN_DOCUMENTATION_COMMENTS = YES;
				CLANG_WARN_EMPTY_BODY = YES;
				CLANG_WARN_ENUM_CONVERSION = YES;
				CLANG_WARN_INFINITE_RECURSION = YES;
				CLANG_WARN_INT_CONVERSION = YES;
				CLANG_WARN_NON_LITERAL_NULL_CONVERSION = YES;
				CLANG_WARN_OBJC_IMPLICIT_RETAIN_SELF = YES;
				CLANG_WARN_OBJC_LITERAL_CONVERSION = YES;
				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
				CLANG_WARN_RANGE_LOOP_ANALYSIS = YES;
				CLANG_WARN_STRICT_PROTOTYPES = YES;
				CLANG_WARN_SUSPICIOUS_MOVE = YES;
				CLANG_WARN_UNGUARDED_AVAILABILITY = YES_AGGRESSIVE;
				CLANG_WARN_UNREACHABLE_CODE = YES;
				CLANG_WARN__DUPLICATE_METHOD_MATCH = YES;
				COPY_PHASE_STRIP = NO;
				DEBUG_INFORMATION_FORMAT = dwarf;
				ENABLE_STRICT_OBJC_MSGSEND = YES;
				ENABLE_TESTABILITY = YES;
				GCC_C_LANGUAGE_STANDARD = gnu11;
				GCC_DYNAMIC_NO_PIC = NO;
				GCC_NO_COMMON_BLOCKS = YES;
				GCC_OPTIMIZATION_LEVEL = 0;
				GCC_PREPROCESSOR_DEFINITIONS = (
					"DEBUG=1",
					"$(inherited)",
				);
				GCC_WARN_64_TO_32_BIT_CONVERSION = YES;
				GCC_WARN_ABOUT_RETURN_TYPE = YES_ERROR;
				GCC_WARN_UNDECLARED_SELECTOR = YES;
				GCC_WARN_UNINITIALIZED_AUTOS = YES_AGGRESSIVE;
				GCC_WARN_UNUSED_FUNCTION = YES;
				GCC_WARN_UNUSED_VARIABLE = YES;
				IPHONEOS_DEPLOYMENT_TARGET = 13.0;
				MTL_ENABLE_DEBUG_INFO = INCLUDE_SOURCE;
				MTL_FAST_MATH = YES;
				ONLY_ACTIVE_ARCH = YES;
				SDKROOT = iphoneos;
				SWIFT_ACTIVE_COMPILATION_CONDITIONS = DEBUG;
				SWIFT_OPTIMIZATION_LEVEL = "-Onone";
			};
			name = Debug;
		};
		C319B696234B2F2400FB8468 /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_SEARCH_USER_PATHS = NO;
				CLANG_ANALYZER_NONNULL = YES;
				CLANG_ANALYZER_NUMBER_OBJECT_CONVERSION = YES_AGGRESSIVE;
				CLANG_CXX_LANGUAGE_STANDARD = "gnu++14";
				CLANG_CXX_LIBRARY = "libc++";
				CLANG_ENABLE_MODULES = YES;
				CLANG_ENABLE_OBJC_ARC = YES;
				CLANG_ENABLE_OBJC_WEAK = YES;
				CLANG_WARN_BLOCK_CAPTURE_AUTORELEASING = YES;
				CLANG_WARN_BOOL_CONVERSION = YES;
				CLANG_WARN_COMMA = YES;
				CLANG_WARN_CONSTANT_CONVERSION = YES;
				CLANG_WARN_DEPRECATED_OBJC_IMPLEMENTATIONS = YES;
				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
				CLANG_WARN_DOCUMENTATION_COMMENTS = YES;
				CLANG_WARN_EMPTY_BODY = YES;
				CLANG_WARN_ENUM_CONVERSION = YES;
				CLANG_WARN_INFINITE_RECURSION = YES;
				CLANG_WARN_INT_CONVERSION = YES;
				CLANG_WARN_NON_LITERAL_NULL_CONVERSION = YES;
				CLANG_WARN_OBJC_IMPLICIT_RETAIN_SELF = YES;
				CLANG_WARN_OBJC_LITERAL_CONVERSION = YES;
				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
				CLANG_WARN_RANGE_LOOP_ANALYSIS = YES;
				CLANG_WARN_STRICT_PROTOTYPES = YES;
				CLANG_WARN_SUSPICIOUS_MOVE = YES;
				CLANG_WARN_UNGUARDED_AVAILABILITY = YES_AGGRESSIVE;
				CLANG_WARN_UNREACHABLE_CODE = YES;
				CLANG_WARN__DUPLICATE_METHOD_MATCH = YES;
				COPY_PHASE_STRIP = NO;
				DEBUG_INFORMATION_FORMAT = "dwarf-with-dsym";
				ENABLE_NS_ASSERTIONS = NO;
				ENABLE_STRICT_OBJC_MSGSEND = YES;
				GCC_C_LANGUAGE_STANDARD = gnu11;
				GCC_NO_COMMON_BLOCKS = YES;
				GCC_WARN_64_TO_32_BIT_CONVERSION = YES;
				GCC_WARN_ABOUT_RETURN_TYPE = YES_ERROR;
				GCC_WARN_UNDECLARED_SELECTOR = YES;
				GCC_WARN_UNINITIALIZED_AUTOS = YES_AGGRESSIVE;
				GCC_WARN_UNUSED_FUNCTION = YES;
				GCC_WARN_UNUSED_VARIABLE = YES;
				IPHONEOS_DEPLOYMENT_TARGET = 13.0;
				MTL_ENABLE_DEBUG_INFO = NO;
				MTL_FAST_MATH = YES;
				SDKROOT = iphoneos;
				SWIFT_COMPILATION_MODE = wholemodule;
				SWIFT_OPTIMIZATION_LEVEL = "-O";
				VALIDATE_PRODUCT = YES;
			};
			name = Release;
		};
		C319B698234B2F2400FB8468 /* Debug */ = {
			isa = XCBuildConfiguration;
			baseConfigurationReference = 70445E6A576CFBCCCB5CB1DC /* Pods-WeatherLibrary.debug.xcconfig */;
			buildSettings = {
				ASSETCATALOG_COMPILER_APPICON_NAME = AppIcon;
				CODE_SIGN_STYLE = Automatic;
				DEVELOPMENT_TEAM = LH9T2227L9;
				INFOPLIST_FILE = WeatherLibrary/Info.plist;
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
				);
				PRODUCT_BUNDLE_IDENTIFIER = su.areas.WeatherLibrary;
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = "1,2";
			};
			name = Debug;
		};
		C319B699234B2F2400FB8468 /* Release */ = {
			isa = XCBuildConfiguration;
			baseConfigurationReference = 33160CDD40204D0E7A760132 /* Pods-WeatherLibrary.release.xcconfig */;
			buildSettings = {
				ASSETCATALOG_COMPILER_APPICON_NAME = AppIcon;
				CODE_SIGN_STYLE = Automatic;
				DEVELOPMENT_TEAM = LH9T2227L9;
				INFOPLIST_FILE = WeatherLibrary/Info.plist;
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
				);
				PRODUCT_BUNDLE_IDENTIFIER = su.areas.WeatherLibrary;
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = "1,2";
			};
			name = Release;
		};
/* End XCBuildConfiguration section */

/* Begin XCConfigurationList section */
		C319B67E234B2F2300FB8468 /* Build configuration list for PBXProject "WeatherLibrary" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				C319B695234B2F2400FB8468 /* Debug */,
				C319B696234B2F2400FB8468 /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
		C319B697234B2F2400FB8468 /* Build configuration list for PBXNativeTarget "WeatherLibrary" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				C319B698234B2F2400FB8468 /* Debug */,
				C319B699234B2F2400FB8468 /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
/* End XCConfigurationList section */
	};
	rootObject = C319B67B234B2F2300FB8468 /* Project object */;
}
